Bug Hunting Session
Bug 95761 - All Hotkeys with CTRL+ALT+ not worked
Summary: All Hotkeys with CTRL+ALT+ not worked
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: manfred.blume
URL:
Whiteboard: target:5.1.0 target:5.0.4 target:6.0.0
Keywords:
Depends on:
Blocks: Shortcuts-AltGR
  Show dependency treegraph
 
Reported: 2015-11-12 09:39 UTC by Juergen Funk (CIB)
Modified: 2019-08-24 17:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Funk (CIB) 2015-11-12 09:39:38 UTC
In the dialog "Customise-Keyboard" exist a lot of Hotkeys with CTRL+ALT and CTRL+ALT+SHIFT but doesn't work.
Comment 1 Juergen Funk (CIB) 2015-11-12 10:05:25 UTC
I have fixed, only when pressed the ALTGR-Key masked out the CTRL-ALT flags.

https://gerrit.libreoffice.org/19923
Comment 2 Juergen Funk (CIB) 2015-11-12 10:06:43 UTC
I think that fix needed in libreoffice-5-0-0 too
Comment 3 Commit Notification 2015-11-12 14:15:16 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ac9942c624cb627c8b09122498b45b05cf455f6

tdf#95761 All Hotkeys with CTRL+ALT+ not worked

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-11-12 16:11:25 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ff2015b429f7b5847f8b2eaab498416ef043642&h=libreoffice-5-0

tdf#95761 All Hotkeys with CTRL+ALT+ not worked

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Juergen Funk (CIB) 2016-03-27 17:44:27 UTC
This Patch solve the problem, with all kombination keys with ALTGR for example:
ALTGR+0           ==> } 
CTRL-ALT(left)+0  ==> you get the HotKey

with out my patch
ALTGR+0           ==> } 
CTRL-ALT(left)+0  ==> }

But the other kombination for example CTRL-ALT-C works with and without my patch.
Comment 7 V Stuart Foote 2017-11-15 17:22:25 UTC
(In reply to manfred.blume from comment #6)
> should be reverted because of:

reverted?  assume meant "reopened"?

Otherwise, think the issues with bug 97908 is the general case, and bug 10908 the more specific internal handling the keymod for <AltGr>. But believe this issue should remain Closed Fixed with work progressing on bug 10908. 

Jeurgen?
Comment 8 Juergen Funk (CIB) 2017-11-16 08:05:25 UTC
I agree with V Stuart Foote
Comment 9 manfred.blume 2017-11-16 12:09:54 UTC
I have been asked to revert this.

other comments:
https://bugs.documentfoundation.org/show_bug.cgi?id=97908#c19
https://bugs.documentfoundation.org/show_bug.cgi?id=100908#c8

The patch from Jürgen results in a different behaviour of Left-Alt and Right-Alt.
I havn't found this in other programs.
Comment 10 Commit Notification 2017-11-17 15:01:08 UTC
Manfred Blume committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f53b3b547b04dc112076d8323b5b24ae178d6260

revert "tdf#95761 All Hotkeys with CTRL+ALT+ not worked"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.